> For the complete documentation index, see [llms.txt](https://docs.pancakeswap.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pancakeswap.finance/russian/torgovlya/perpetual-trading/perpetual-trading-v2/degen-mode/degen-mode-dynamic-fee.md).

# Динамическая комиссия в режиме Degen

PancakeSwap Perpetuals Degen Mode использует модель динамической комиссии. Эта комиссия предназначена для взимания платы в зависимости от PnL и защиты пользователей от убытков.\
**Как это работает?**

$$
\text{closeFeeRate} = \max\left(\frac{\text{pnl} \cdot \text{shareRate}}{\text{notional}}, \text{closeMinRate}\right)
$$

где:

* Pnl — прибыль или убыток по позиции
* shareRate — ставка доли, то есть процент от условной суммы, выплачиваемый в виде комиссий (по умолчанию 15%)
* Notional — сумма денег, использованная для открытия позиции
* closeMinRate — минимальная ставка комиссии за закрытие, то есть наименьшая сумма, которую можно заплатить за закрытие позиции (по умолчанию 0,03%)

\
**Пример:**

Если у тебя есть позиция с прибылью $100, ставкой доли 15% и условной суммой $600, то ставка комиссии за закрытие составит:

Ставка комиссии за закрытие = Max(100 \* 15% / 600, 0,03%) = 0,03%

В этом случае ставка комиссии за закрытие составит 0,03% — минимальную ставку комиссии за закрытие.<br>

Примечание:

Комиссия за исполнение взимается только при открытии позиции. Она установлена в размере 0,3 USD (BNB Chain) / 0,2 USD (Arbitrum) / 0,01 USD (opBNB) / 0,3 USD (Base), аналогично тому, что взимается при торговле классическими парами бессрочных контрактов. Комиссия за открытие позиции отсутствует.

В случае ликвидации 90% ставки убытка при ликвидации включает комиссию за закрытие.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pancakeswap.finance/russian/torgovlya/perpetual-trading/perpetual-trading-v2/degen-mode/degen-mode-dynamic-fee.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
